src/base/cs_measures_util.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
cs_measures_util.c File Reference
`#include "cs_defs.h"`
`#include <assert.h>`
`#include <math.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <stdarg.h>`
`#include <float.h>`
`#include <mpi.h>`
`#include "bft_mem_usage.h"`
`#include "bft_error.h"`
`#include "bft_printf.h"`
`#include "bft_mem.h"`
`#include "fvm_nodal.h"`
`#include "fvm_point_location.h"`
`#include "cs_base.h"`
`#include "cs_selector.h"`
`#include "cs_mesh_connect.h"`
`#include "cs_post.h"`
`#include "cs_prototypes.h"`
`#include "cs_log.h"`
`#include "cs_map.h"`
`#include "cs_parall.h"`
`#include "cs_mesh_location.h"`
`#include "cs_mesh.h"`
`#include "cs_measures_util.h"`
Include dependency graph for cs_measures_util.c:

## Functions
void | cs_interpol_field_on_grid (cs_interpol_grid_t *ig, const cs_real_t *values_to_interpol, cs_real_t *interpoled_values)
void | cs_cressman_interpol (cs_measures_set_t *ms, cs_real_t *interpolated_values, int id_type)
cs_interpol_grid_t * | cs_interpol_grid_create (const char *name)
void | cs_interpol_grid_init (cs_interpol_grid_t *ig, const cs_lnum_t nb_points, const cs_real_t *coords)
cs_measures_set_t * | cs_measures_set_create (const char *name, int type_flag, int dim, bool interleaved)
void | cs_measures_set_map_values (cs_measures_set_t *ms, const cs_lnum_t nb_measures, const int *is_cressman, const int *is_interpol, const cs_real_t *measures_coords, const cs_real_t *measures, const cs_real_t *influence_radius)
void | cs_measures_set_add_values (cs_measures_set_t *ms, const cs_lnum_t nb_measures, const int *is_cressman, const int *is_interpol, const cs_real_t *measures_coords, const cs_real_t *measures, const cs_real_t *influence_radius)
cs_measures_set_t * | cs_measures_set_by_id (int id)
cs_interpol_grid_t * | cs_interpol_grid_by_id (int id)
cs_measures_set_t * | cs_measures_set_by_name (const char *name)
cs_interpol_grid_t * | cs_interpol_grid_by_name (const char *name)
void | cs_measures_sets_destroy (void)
void | cs_interpol_grids_destroy (void)
void | mestcr (const char *name, const cs_int_t *lname, const cs_int_t *idim, const cs_int_t *ilved, cs_int_t *imeset)
void | gridcr (const char *name, const cs_int_t *lname, cs_int_t *igrid)
void | mesmap (const cs_int_t *imeset, const cs_int_t *inbmes, const cs_real_t *meset, const cs_real_t *coords, const cs_int_t *cressm, const cs_int_t *interp, const cs_real_t *infrad)
void | grimap (const cs_int_t *igrid, const cs_int_t *inpts, const cs_real_t *coords)
void | mesadd (const cs_int_t *imeset, const cs_int_t *inbmes, const cs_real_t *meset, const cs_real_t *coords, const cs_int_t *cressm, const cs_int_t *interp, const cs_real_t *infrad)
void | mscrss (const cs_int_t *imeset, const cs_int_t *type, cs_real_t *pldval)
void | gripol (const cs_int_t *igrid, const cs_real_t *inval, cs_real_t *pldval)
void | mestde (void)
void | grides (void)

## Function Documentation

void cs_cressman_interpol | ( | cs_measures_set_t * | ms,
|  | cs_real_t * | interpolated_values,
|  | int | id_type
| ) |  |

void cs_interpol_field_on_grid | ( | cs_interpol_grid_t * | ig,
|  | const cs_real_t * | values_to_interpol,
|  | cs_real_t * | interpoled_values
| ) |  |

cs_interpol_grid_t* cs_interpol_grid_by_id | ( | int | id | ) |

cs_interpol_grid_t* cs_interpol_grid_by_name | ( | const char * | name | ) |

cs_interpol_grid_t* cs_interpol_grid_create | ( | const char * | name | ) |

void cs_interpol_grid_init | ( | cs_interpol_grid_t * | ig,
|  | const cs_lnum_t | nb_points,
|  | const cs_real_t * | coords
| ) |  |

void cs_interpol_grids_destroy | ( | void |  | ) |

void cs_measures_set_add_values | ( | cs_measures_set_t * | ms,
|  | const cs_lnum_t | nb_measures,
|  | const int * | is_cressman,
|  | const int * | is_interpol,
|  | const cs_real_t * | measures_coords,
|  | const cs_real_t * | measures,
|  | const cs_real_t * | influence_radius
| ) |  |

cs_measures_set_t* cs_measures_set_by_id | ( | int | id | ) |

cs_measures_set_t* cs_measures_set_by_name | ( | const char * | name | ) |

cs_measures_set_t* cs_measures_set_create | ( | const char * | name,
|  | int | type_flag,
|  | int | dim,
|  | bool | interleaved
| ) |  |

void cs_measures_set_map_values | ( | cs_measures_set_t * | ms,
|  | const cs_lnum_t | nb_measures,
|  | const int * | is_cressman,
|  | const int * | is_interpol,
|  | const cs_real_t * | measures_coords,
|  | const cs_real_t * | measures,
|  | const cs_real_t * | influence_radius
| ) |  |

void cs_measures_sets_destroy | ( | void |  | ) |

void gridcr | ( | const char * | name,
|  | const cs_int_t * | lname,
|  | cs_int_t * | igrid
| ) |  |

void grides | ( | void |  | ) |

void grimap | ( | const cs_int_t * | igrid,
|  | const cs_int_t * | inpts,
|  | const cs_real_t * | coords
| ) |  |

void gripol | ( | const cs_int_t * | igrid,
|  | const cs_real_t * | inval,
|  | cs_real_t * | pldval
| ) |  |

void mesadd | ( | const cs_int_t * | imeset,
|  | const cs_int_t * | inbmes,
|  | const cs_real_t * | meset,
|  | const cs_real_t * | coords,
|  | const cs_int_t * | cressm,
|  | const cs_int_t * | interp,
|  | const cs_real_t * | infrad
| ) |  |

void mesmap | ( | const cs_int_t * | imeset,
|  | const cs_int_t * | inbmes,
|  | const cs_real_t * | meset,
|  | const cs_real_t * | coords,
|  | const cs_int_t * | cressm,
|  | const cs_int_t * | interp,
|  | const cs_real_t * | infrad
| ) |  |

void mestcr | ( | const char * | name,
|  | const cs_int_t * | lname,
|  | const cs_int_t * | idim,
|  | const cs_int_t * | ilved,
|  | cs_int_t * | imeset
| ) |  |

void mestde | ( | void |  | ) |

void mscrss | ( | const cs_int_t * | imeset,
|  | const cs_int_t * | type,
|  | cs_real_t * | pldval
| ) |  |